// SdpRecord.h: interface for the CSdpRecord class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SDPRECORD_H__B0C2CD25_7CDE_43D1_80E6_2BD4911572CA__INCLUDED_)
#define AFX_SDPRECORD_H__B0C2CD25_7CDE_43D1_80E6_2BD4911572CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSdpRecord  
{
public:
	CSdpRecord(ISdpRecord* pSdpRecord);
	virtual ~CSdpRecord();

	HRESULT	GetAttributeData (USHORT nAttr, NodeData *pNode);

	BOOL	FindRFCommChannel	(ULONG &nChannel);
	BOOL	FindServiceName		(TCHAR* pszServiceName, int nNameLen);
	BOOL	FindServiceClass	(GUID* pGuid);

private:
	ISdpRecord*		m_pSdpRecord;
};

#endif // !defined(AFX_SDPRECORD_H__B0C2CD25_7CDE_43D1_80E6_2BD4911572CA__INCLUDED_)
