// SdpDiscovery.h: interface for the CSdpDiscovery class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SDPDISCOVERY_H__90A320A6_AE85_4BE1_8ECB_27075DAF0451__INCLUDED_)
#define AFX_SDPDISCOVERY_H__90A320A6_AE85_4BE1_8ECB_27075DAF0451__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vector>
#include "SdpRecord.h"

class CSdpDiscovery  
{
public:
	CSdpDiscovery(LPCTSTR pszServiceName);
	virtual ~CSdpDiscovery();

	void	Add(CSdpRecord *pSdpRec)	{ m_vector.push_back(pSdpRec);	}
	void	Clear();

	int			GetRecordCount()			{ return (int)m_vector.size();	}
	CSdpRecord*	GetRecord(int iIndex)		{ return m_vector[iIndex];		}
	LPCTSTR		GetName()					{ return m_szServiceName;		}

private:
	std::vector<CSdpRecord*>	m_vector;
	TCHAR						m_szServiceName[256];
};

#endif // !defined(AFX_SDPDISCOVERY_H__90A320A6_AE85_4BE1_8ECB_27075DAF0451__INCLUDED_)
